# Class TStatus

java.lang.Object
com.databricks.jdbc.model.client.thrift.generated.TStatus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStatus>`, `org.apache.thrift.TBase<TStatus,TStatus._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TStatus extends Object implements org.apache.thrift.TBase<TStatus,TStatus._Fields>, Serializable, Cloneable, Comparable<TStatus>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TStatus._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`displayMessage`
`int`
`errorCode`
`String`
`errorDetailsJson`
`String`
`errorMessage`
`List<String>`
`infoMessages`
`static final Map<TStatus._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`
`String`
`sqlState`
`TStatusCode`
`statusCode`

## Constructor Summary

Constructors
Constructor
Description
`TStatus()`
`TStatus(TStatus other)`
Performs a deep copy on other.
`TStatus(TStatusCode statusCode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToInfoMessages(String elem)`
`void`
`clear()`
`int`
`compareTo(TStatus other)`
`TStatus`
`deepCopy()`
`boolean`
`equals(TStatus that)`
`boolean`
`equals(Object that)`
`TStatus._Fields`
`fieldForId(int fieldId)`
`String`
`getDisplayMessage()`
`int`
`getErrorCode()`
`String`
`getErrorDetailsJson()`
`String`
`getErrorMessage()`
`Object`
`getFieldValue(TStatus._Fields field)`
`List<String>`
`getInfoMessages()`
`Iterator<String>`
`getInfoMessagesIterator()`
`int`
`getInfoMessagesSize()`
`String`
`getSqlState()`
`TStatusCode`
`getStatusCode()`
`int`
`hashCode()`
`boolean`
`isSet(TStatus._Fields field)`
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean`
`isSetDisplayMessage()`
Returns true if field displayMessage is set (has been assigned a value) and false otherwise
`boolean`
`isSetErrorCode()`
Returns true if field errorCode is set (has been assigned a value) and false otherwise
`boolean`
`isSetErrorDetailsJson()`
Returns true if field errorDetailsJson is set (has been assigned a value) and false otherwise
`boolean`
`isSetErrorMessage()`
Returns true if field errorMessage is set (has been assigned a value) and false otherwise
`boolean`
`isSetInfoMessages()`
Returns true if field infoMessages is set (has been assigned a value) and false otherwise
`boolean`
`isSetSqlState()`
Returns true if field sqlState is set (has been assigned a value) and false otherwise
`boolean`
`isSetStatusCode()`
Returns true if field statusCode is set (has been assigned a value) and false otherwise
`void`
`read(org.apache.thrift.protocol.TProtocol iprot)`
`TStatus`
`setDisplayMessage(String displayMessage)`
`void`
`setDisplayMessageIsSet(boolean value)`
`TStatus`
`setErrorCode(int errorCode)`
`void`
`setErrorCodeIsSet(boolean value)`
`TStatus`
`setErrorDetailsJson(String errorDetailsJson)`
`void`
`setErrorDetailsJsonIsSet(boolean value)`
`TStatus`
`setErrorMessage(String errorMessage)`
`void`
`setErrorMessageIsSet(boolean value)`
`void`
`setFieldValue(TStatus._Fields field, Object value)`
`TStatus`
`setInfoMessages(List<String> infoMessages)`
`void`
`setInfoMessagesIsSet(boolean value)`
`TStatus`
`setSqlState(String sqlState)`
`void`
`setSqlStateIsSet(boolean value)`
`TStatus`
`setStatusCode(TStatusCode statusCode)`
`void`
`setStatusCodeIsSet(boolean value)`
`String`
`toString()`
`void`
`unsetDisplayMessage()`
`void`
`unsetErrorCode()`
`void`
`unsetErrorDetailsJson()`
`void`
`unsetErrorMessage()`
`void`
`unsetInfoMessages()`
`void`
`unsetSqlState()`
`void`
`unsetStatusCode()`
`void`
`validate()`
`void`
`write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### statusCode

public TStatusCode statusCode

See Also:
  - `TStatusCode`

### infoMessages

public List<String> infoMessages

### sqlState

public String sqlState

### errorCode

public int errorCode

### errorMessage

public String errorMessage

### displayMessage

public String displayMessage

### errorDetailsJson

public String errorDetailsJson

### metaDataMap

public static final Map<TStatus._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TStatus

public TStatus()

### TStatus

public TStatus(TStatusCode statusCode)

### TStatus

public TStatus(TStatus other)
Performs a deep copy on other.

## Method Details

### deepCopy

public TStatus deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### clear

public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### getStatusCode

public TStatusCode getStatusCode()

See Also:
  - `TStatusCode`

### setStatusCode

public TStatus setStatusCode(TStatusCode statusCode)

See Also:
  - `TStatusCode`

### unsetStatusCode

public void unsetStatusCode()

### isSetStatusCode

public boolean isSetStatusCode()
Returns true if field statusCode is set (has been assigned a value) and false otherwise

### setStatusCodeIsSet

public void setStatusCodeIsSet(boolean value)

### getInfoMessagesSize

public int getInfoMessagesSize()

### getInfoMessagesIterator

public Iterator<String> getInfoMessagesIterator()

### addToInfoMessages

public void addToInfoMessages(String elem)

### getInfoMessages

public List<String> getInfoMessages()

### setInfoMessages

public TStatus setInfoMessages(List<String> infoMessages)

### unsetInfoMessages

public void unsetInfoMessages()

### isSetInfoMessages

public boolean isSetInfoMessages()
Returns true if field infoMessages is set (has been assigned a value) and false otherwise

### setInfoMessagesIsSet

public void setInfoMessagesIsSet(boolean value)

### getSqlState

public String getSqlState()

### setSqlState

public TStatus setSqlState(String sqlState)

### unsetSqlState

public void unsetSqlState()

### isSetSqlState

public boolean isSetSqlState()
Returns true if field sqlState is set (has been assigned a value) and false otherwise

### setSqlStateIsSet

public void setSqlStateIsSet(boolean value)

### getErrorCode

public int getErrorCode()

### setErrorCode

public TStatus setErrorCode(int errorCode)

### unsetErrorCode

public void unsetErrorCode()

### isSetErrorCode

public boolean isSetErrorCode()
Returns true if field errorCode is set (has been assigned a value) and false otherwise

### setErrorCodeIsSet

public void setErrorCodeIsSet(boolean value)

### getErrorMessage

public String getErrorMessage()

### setErrorMessage

public TStatus setErrorMessage(String errorMessage)

### unsetErrorMessage

public void unsetErrorMessage()

### isSetErrorMessage

public boolean isSetErrorMessage()
Returns true if field errorMessage is set (has been assigned a value) and false otherwise

### setErrorMessageIsSet

public void setErrorMessageIsSet(boolean value)

### getDisplayMessage

public String getDisplayMessage()

### setDisplayMessage

public TStatus setDisplayMessage(String displayMessage)

### unsetDisplayMessage

public void unsetDisplayMessage()

### isSetDisplayMessage

public boolean isSetDisplayMessage()
Returns true if field displayMessage is set (has been assigned a value) and false otherwise

### setDisplayMessageIsSet

public void setDisplayMessageIsSet(boolean value)

### getErrorDetailsJson

public String getErrorDetailsJson()

### setErrorDetailsJson

public TStatus setErrorDetailsJson(String errorDetailsJson)

### unsetErrorDetailsJson

public void unsetErrorDetailsJson()

### isSetErrorDetailsJson

public boolean isSetErrorDetailsJson()
Returns true if field errorDetailsJson is set (has been assigned a value) and false otherwise

### setErrorDetailsJsonIsSet

public void setErrorDetailsJsonIsSet(boolean value)

### setFieldValue

public void setFieldValue(TStatus._Fields field, Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### getFieldValue

public Object getFieldValue(TStatus._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### isSet

public boolean isSet(TStatus._Fields field)
Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### equals

public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TStatus that)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### compareTo

public int compareTo(TStatus other)

Specified by:
  `compareTo` in interface `Comparable<TStatus>`

### fieldForId

public TStatus._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStatus,TStatus._Fields>`

### read

public void read(org.apache.thrift.protocol.TProtocol iprot) throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### write

public void write(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### validate

public void validate() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`